Skip to content

Get product reviews

GET
/merchants/{merchantCode}/products/{productCode}/reviews
curl --request GET \
--url 'https://catalog.shopgate.io/v1/merchants/example/products/example/reviews?limit=1000&offset=0'

Get product reviews

merchantCode
required
string
<= 255 characters
productCode
required
string
<= 255 characters
localeCode
string
<= 5 characters

Locale code to change the language of the name, descriptions, properties and media

limit
integer
default: 1000 >= 1 <= 1000

The limit of entries of one page

offset
integer
0

The offset where to start the page

after
string

The cursor after which the next entries will be queried; on routes supporting limit/offset and cursor pagination, offset will be ignored when after is set

sort
string

Sorting of the reviews. Allowed fields are date and rank; directions are asc or desc. Multiple sort fields can be comma separated, e.g. date:desc,rank:asc

additionalWebhookData
string format: json

Additional data to pass to the sync webhook

Return the reviews of the product

Media typeapplication/json
object
meta

On routes supporting limit/offset and cursor pagination, offset will be ignored when after is set; however, both fields will always be present in the response

object
limit
number
offset
number
cursors

A base64 string or null if the result is empty

object
after
string
totalItemCount
number
reviews
Array<object>
object
code

Human readable code of the entity

string
>= 1 characters <= 255 characters
author
string
<= 255 characters
date
string format: date-time
rate

Ratings from (1-5). To save fractions of a rating, pass in e.g. 0.5 for a “1/2 star” representation.

null | number
title
string
<= 255 characters
review
string
<= 5000 characters
Example
{
"meta": {
"limit": 1,
"offset": 0,
"cursors": {
"after": "1b"
},
"totalItemCount": 2
},
"reviews": [
{
"code": 1700123654,
"author": "John D.",
"date": "2018-12-15T00:00:23.114Z",
"rate": 5,
"title": "Awesome product.",
"review": "I like it because it is good."
}
]
}

Validation error

Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName

The parameter-field, that failed to validate, like “userId”

string
paramValue

The value, that was sent, like “xxx”

null | string | number | array | object
code

Machine readable error code

string
Allowed values: SCHEMA_VALIDATION_FAILED VALIDATION_FAILED ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_TYPE UNKNOWN_FORMAT PATTERN
message
required

Human readable error code

string
results
object
errors
Array<object>
object
code

Machine readable error code

string
Allowed values: ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_CREDENTIALS INVALID_TYPE UNKNOWN_FORMAT PATTERN
message

Human readable error code

string
description
string
path
Array<string>
warnings
array
Example
{
"error": {
"code": "SCHEMA_VALIDATION_FAILED",
"results": {
"errors": [
{
"code": "MAX_LENGTH",
"message": "Name too long",
"description": "Property Name is too long",
"path": [
"name"
]
}
]
}
}
}

Merchant not found

Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{
"code": "NotFound",
"message": "Merchant not found"
}